curl --request GET \
--url https://api.nuvia.ai/v1/conversations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nuvia.ai/v1/conversations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nuvia.ai/v1/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": [
"<unknown>"
],
"meta": "<unknown>"
}List conversations
Returns a paginated list of conversations with optional filters (inbox, agent, team, users, status, date range, etc.).
Authorizations
Token JWT de autenticação
Headers
Target company identifier. Required only for global API keys (type=global). Ignored for company API keys and human users.
Query Parameters
Filter by inbox ID
Filter by agent ID
Filter by team ID
Filter by inbox channel type(s), comma-separated (e.g.: WAP_AUTO_CLOSER,LINKEDIN)
Filter stalled conversations (no contact activity for more than 24h)
Filter conversations transferred from AI to a human attendant
Filter conversations with a scheduled follow-up
Filter conversations originated from a campaign
Filter conversations in service (excludes follow-up and campaign)
Filter by user IDs
Filter by who is answering (AGENT/HUMAN)
Filter by status (OPEN, RESOLVED)
Filter by IDs of the agent flow steps
Filter by engagement levels
Filter conversations that require attention
Filter conversations with a scheduled meeting (not canceled)
Start date to filter conversations (createdAt >= startDate)
End date to filter conversations (createdAt <= endDate)
Advanced filters in JSON format: [{ field, operator, value }]
Page number (starts at 1)
Number of items per page